[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TComponent.InsertComponent

Insert the given component in the list of owned components.

## Declaration

Source position: classesh.inc line 1973

`public procedure TComponent.InsertComponent(`
`AComponent: TComponent`
`);`

## Description

InsertComponent attempts to insert AComponent in the list with owned components. It first calls ValidateComponent to see whether the component can be inserted. It then checks whether there are no name conflicts by calling ValidateRename. If neither of these checks have raised an exception the component is inserted, and notified of the insert.

## See also

RemoveComponent |  | Remove the given component from the list of owned components.
Insert
ValidateContainer |  | ??
ValidateRename |  | Called when a name change must be validated
Notification |  | Called by components that are freed and which received a FreeNotification.